#ifndef _LOCALE_H_
#define	_LOCALE_H_


typedef struct {
	const char *locale;
	const char *name;
	const char *desc;
} GPND_LOCALE_VALIDATE_INPUT_STRUCT;


int localeIsValid(GPND_MAIN *m, const char *loc_);
int localeExists(GPND_MAIN *m, const char *locale);
int localeValidate(GPND_MAIN *m, GPND_LOCALE_VALIDATE_INPUT_STRUCT *val);
int localeAdd(GPND_MAIN *m, GPND_LOCALE_VALIDATE_INPUT_STRUCT *val);
int localeMod(GPND_MAIN *m, const char *curloc, GPND_LOCALE_VALIDATE_INPUT_STRUCT *val);
int localeDel(GPND_MAIN *m, const char *curloc);

#endif
