#ifndef _TYPES_H_
#define	_TYPES_H_


typedef struct {
	int cat;
	char *subcat;
	int flags;
} GPND_CATEGORY_STRUCT;


typedef struct {
	char *lang;
	char *name;
	char *desc;
	int flags;
} GPND_NAMEDESC_STRUCT;

typedef struct {
	char *author;
	char *http;
	char *mail;
	char *appname;
	char *icon;

	char *uid;
	char *appdata;
	char *startdir;
	char *execfile;
	char *args;

	GPND_CATEGORY_STRUCT *cat;
	GPND_NAMEDESC_STRUCT *ndesc;
	
	int cpufreq;
	int x11;
	int allowMultitasking;
	int standalone;
	int activeLang;
	int noofCat;
	int version[4];

	int flags;
} GPND_APP;

typedef struct {
	GPND_GUI	gui;
	GPND_APP	*app;
	
	int activeApp;
	int flags;
	int noofApps;
	int localelen;

	char *dirname;
	char **locales;
} GPND_MAIN;

#endif
