#ifndef _GPND_H_

#include "target.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifdef _POSIX_
	#include <gtk/gtk.h>
	#include "gtkgui.h"
#endif
#endif

#ifndef _GPND_H_
#define _GPND_H_

#include "lang.h"
#include "app.h"
#include "general.h"
#include "runtime.h"
#include "locale.h"
#include "types.h"

#define	GPND_MAIN_GENISOIMAGE		0x100
#define	GPND_MAIN_GENSQUASHFS		0x200
#define	GPND_MAIN_GENCRAMFS		0x400

#define	GPND_MAIN_THEREISNEXTENTRY	0x1
#define	GPND_MAIN_ENTRYISVALID		0x2
#define	GPND_MAIN_SKIPENTRY		0x4

#define	GPND_MAIN_DIR_IS_SET		0x10000

int gpndArgIsPath(const char *str);
int gpndPathIsRelative(const char *str);
int gpndFileExists(const char *path);
void gpndLoadLocales(GPND_MAIN *m);
void gpndEscapeXMLData(char *str);
void gpndInitApp(GPND_MAIN *m);
void gpndInitCat(GPND_MAIN *m, int app);
void gpndInitMain(GPND_MAIN *m);
 
#endif
