#ifndef _RUNTIME_H_
#define	_RUNTIME_H_

typedef struct {
	const char *uid;
	const char *appdata;
	const char *startdir;
	const char *execfile;
	const char *args;

	int cpufreq;
	int x11;
	int allowMultitasking;
	int standalone;
} GPND_RUNTIME_VALIDATE_INPUT_STRUCT;

int runtimeSet(GPND_MAIN *m, GPND_RUNTIME_VALIDATE_INPUT_STRUCT *val);
int runtimeValidate(GPND_MAIN *m, GPND_RUNTIME_VALIDATE_INPUT_STRUCT *val);

#endif
